#ifndef VDENGINE_H
#define VDENGINE_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDMapEditor.h"
#include "VDNPCEditor.h"
#include "VDDirect3D.h"
#include "VDInput.h"
#include "VDWorld.h"
#include "VDEntity.h"
#include "VDNPC.h"
#include "Resource.h"



/* **********************************************************************************************************************
   Macros
   **********************************************************************************************************************/

#define VD_ENGINE_CLASS_NAME "VDEngine"
#define VD_MAP_EDITOR_CLASS_NAME "VDMapEditor"
#define VD_NPC_EDITOR_CLASS_NAME "VDNPCEditor"




/* **********************************************************************************************************************
   VDMapMaker
   **********************************************************************************************************************/

class VDEngine {
public:
    VDEngine();
    virtual ~VDEngine();

    void Run(HINSTANCE instance);
    void RegisterWindows(HINSTANCE instance);
    HWND CreateVDEngineWindow(HINSTANCE instance, LPCSTR className, int width, int height);
    void VDOpenFile(HWND window, LPSTR filter, LPSTR fileName);
private:
    int mapMakerRunning;
};



#endif  // VDENGINE_H