/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDText.h"



/* **********************************************************************************************************************
   Constructors
   **********************************************************************************************************************/

VDText::VDText() {
    id = -1;
    (void) strcpy_s(text, "");
    nextID = -1;
};

VDText::VDText(int theID, LPCSTR theText) {
    id = theID;
    (void) strcpy_s(text, theText);
    nextID = -1;
};

VDText::VDText(LPCSTR theText, int theNextID) {
    id = -1;
    (void) strcpy_s(text, theText);
    nextID = theNextID;
};



/* **********************************************************************************************************************
   Destructor
   **********************************************************************************************************************/

VDText::~VDText() {
};



/* **********************************************************************************************************************
   Accessors and Modifiers
   **********************************************************************************************************************/

int VDText::GetID() {
    return id;
};

void VDText::SetID(int newID) {
    id = newID;
};

LPCSTR VDText::GetText() {
    return text;
};

void VDText::SetText(LPCSTR newText) {
    (void) strcpy_s(text, newText);
};

int VDText::GetNextID() {
    return nextID;
};

void VDText::SetNextID(int newNextID) {
    nextID = newNextID;
};