#ifndef VDTEXT_H
#define VDTEXT_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDError.h"



/* **********************************************************************************************************************
   VDText
   **********************************************************************************************************************/

class VDText {
public:
    VDText();
    VDText(int theID, LPCSTR theText);      // used for the NPC's
    VDText(LPCSTR theText, int theNextID);  // used for the user's options
    ~VDText();

       int GetID();
      void SetID(int newID);
    LPCSTR GetText();
      void SetText(LPCSTR newText);
       int GetNextID();
      void SetNextID(int newNextID);
private:
     int id;                        // ID of this text
    char text[FILE_NAME_MAX_SIZE];  // text of the message
     int nextID;                    // ID of the next text
};



#endif  // VDTEXT_H