#ifndef VDMAPEDITOR_H
#define VDMAPEDITOR_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <windows.h>
#include "VDSprite.h"
#include "VDError.h"
#include "Resource.h"



/* **********************************************************************************************************************
   VDMapEditor
   **********************************************************************************************************************/

class VDMapEditor {
public:
    VDMapEditor();
    ~VDMapEditor();

    HWND CreateMapEditor(HINSTANCE instance, LPCSTR className);

         HWND GetWindow();
         HWND GetMapNameEditBox();
         HWND GetSaveMapButton();
         HWND GetLoadMapButton();
         HWND GetLoadSpriteButton();
    VDSprite* GetTileSprite();
         void SetTileSprite(VDSprite *newSprite);
       LPRECT GetTileSpriteDimensions(LPRECT outRect);
         HWND GetNullTileOption();
         HWND GetOpenTileOption();
         HWND GetImpassableTileOption();
         HWND GetNewAreaTileOption();
private:
         HWND window;
         HWND mapNameEditBox;
         HWND saveMapButton;
         HWND loadMapButton;
         HWND loadSpriteButton;
    VDSprite* tileSprite;
         RECT tileSpriteDimensions;
         HWND nullTileOption;
         HWND openTileOption;
         HWND impassableTileOption;
         HWND newAreaTileOption;
};



#endif  // VDMAPEDITOR_H