#ifndef VDNPC_H
#define VDNPC_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <vector>
#include "VDEntity.h"
#include "VDDialogue.h"
using namespace std;



/* **********************************************************************************************************************
   VDNPC
   **********************************************************************************************************************/

class VDNPC : public VDEntity {
public:
    VDNPC();
    VDNPC(LPCSTR aName);
    virtual ~VDNPC();

    void Move();
     int AddDialogue(int id, LPCSTR text);
    void RemoveDialogue(unsigned int id);

             int GetDialoguesSize();
          LPCSTR GetDialogue(unsigned int index);
    unsigned int GetDialogueID(unsigned int index);
          LPCSTR GetDialogueFromID(int id);

private:
    vector<VDDialogue> dialogues;
};



#endif  // VDNPC_H